Table of Contents

AMPC.SHARED API Changes

Warning

Some API changes are not backward compatible

A more detailed breakdown for the individual changes can be viewed here

==========================================================================
==                            API CHANGE LOG                            ==
==========================================================================
                   On Key AMPC Shared API Specification                   
--------------------------------------------------------------------------
--                            What's Changed                            --
--------------------------------------------------------------------------
- GET    /Modules/AMPC/StandardTasks/Spares/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Broken compatibility
          Missing property: properties.commodityId (integer)
          Missing property: properties.commodityCode (string)
          Missing property: properties.commodityDescription (string)
- GET    /Modules/AMPC/StandardTasks/{id}/Spares
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Broken compatibility
          Missing property: items[n].properties.commodityId (integer)
          Missing property: items[n].properties.commodityCode (string)
          Missing property: items[n].properties.commodityDescription (string)
- POST   /Modules/AMPC/StandardTasks/Spares
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/AMPC/StandardTasks/Spares
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Broken compatibility
          Missing property: items[n].properties.commodityId (integer)
          Missing property: items[n].properties.commodityCode (string)
          Missing property: items[n].properties.commodityDescription (string)
- GET    /Modules/AMPC/StandardTasks/Spares/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Broken compatibility
          Missing property: items[n].properties.commodityId (integer)
          Missing property: items[n].properties.commodityCode (string)
          Missing property: items[n].properties.commodityDescription (string)
- POST   /Modules/AMPC/StandardTasks/Spares/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
--------------------------------------------------------------------------
--                                Result                                --
--------------------------------------------------------------------------
                 API changes broke backward compatibility                 
--------------------------------------------------------------------------